#ifndef __INFORMATIONCONTENT_H__
#define __INFORMATIONCONTENT_H__

#include "AnalysisTask.h"
#include "MathVector.h"
#include "TreeInfo.h"

class InformationContent : public AnalysisTask
   {
   public:
      InformationContent();
      virtual ~InformationContent();

      virtual void Setup(AnalysisInfo & info);
      virtual void Analyse(AnalysisInfo & info, Tree & tree, int position);
      virtual void AnalyseUninformative(AnalysisInfo & info, Tree & tree);
      virtual void Report(AnalysisInfo & info);

      virtual void OpenFiles(AnalysisInfo & info, String & prefix);
      virtual void CloseFiles();

   private:
      Vector   infoBits, totalBits;
      TreeInfo stats;
      FILE *   infoFile, * infoTable;
      String   filename, tablename;
   };

#endif
 