#ifndef __MERLINERROR_H__
#define __MERLINERROR_H__

#include "MathGold.h"
#include "Pedigree.h"

class ErrorRateEstimator : public ScalarMinimizer
   {
   public:
      ErrorRateEstimator(Pedigree & p) : ped(p)
         { alleleError = trace = false; }

      virtual double f (double error_rate);
      void Estimate();
      void EstimateModel();

   private:
      Pedigree & ped;

      bool alleleError;
      bool trace;

      double CalculateLikelihood();
   };

#endif

