#ifndef __TREEINFO_H__
#define __TREEINFO_H__

#include "TreeBasics.h"
#include "MathVector.h"
#include "IntArray.h"

class TreeInfo
   {
   public:
      int    nodeCount;
      int    zeroCount;
      int    leafCount;

      double min;
      double max;
      double mean;
      double var;
      double information;

      TreeInfo();

      double GetMean(BasicTree & tree, int node = 0);
      void   GetMeanVar(BasicTree & tree, int node = 0);
      void   GetBounds(BasicTree & tree, int node = 0);

      void   GetTreeInfo(BasicTree & tree, int node = 0);
      void   GetDetailedInfo(BasicTree & tree, int node = 0);
      double GetMinInfo(BasicTree & tree, int node = 0);

      // Useful for avoiding recursion
      IntArray stack;
      Vector   weights;

   private:
      double  sumInfo;
   };

#endif

